/*
	   Copyright (C) 2012 Gilles Landais (CDS)

    Author: Gilles Landais, Strasbourg astronomical Data Center (CDS)
    Email: gilles.landais@unistra.fr

    This file is part of H3C.

    H3C is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    H3C is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with H3C; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/** @file h3c_math.h
 *  @brief mathematique functions
 *  @author G.Landais
 */

typedef double _h3c_vector[3];

void h3c_2xyz(double lon, double lat, _h3c_vector vect);
void h3c_2radec(double *in, h3c_coord_t *out);
void h3c_vect_prod(_h3c_vector v1, _h3c_vector v2, _h3c_vector r);
double h3c_scalar_product(_h3c_vector v1, _h3c_vector v2);
void h3c_normalize(_h3c_vector u);
double h3c_vect_length(_h3c_vector v);
void h3c_unit_vector(double z, double phi, _h3c_vector res);

